Bug 82367 - Rename CSS Exclusions "rect" value to "rectangle"
Summary: Rename CSS Exclusions "rect" value to "rectangle"
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hans Muller
URL:
Keywords:
Depends on:
Blocks: 82363
  Show dependency treegraph
 
Reported: 2012-03-27 12:06 PDT by Bear Travis
Modified: 2012-04-05 09:42 PDT (History)
5 users (show)

See Also:


Attachments
Patch (24.16 KB, patch)
2012-03-28 15:37 PDT, Hans Muller
no flags Details | Formatted Diff | Diff
Patch (24.15 KB, patch)
2012-03-28 15:45 PDT, Hans Muller
no flags Details | Formatted Diff | Diff
Patch (24.36 KB, patch)
2012-04-03 17:22 PDT, Hans Muller
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bear Travis 2012-03-27 12:06:42 PDT
The spec draft http://dev.w3.org/csswg/css3-exclusions/
has renamed the polygon css value "rect" to "rectangle"
Comment 1 Hans Muller 2012-03-28 15:37:14 PDT
Created attachment 134426 [details]
Patch
Comment 2 WebKit Review Bot 2012-03-28 15:40:12 PDT
Attachment 134426 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1
LayoutTests/ChangeLog:10:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Hans Muller 2012-03-28 15:45:07 PDT
Created attachment 134429 [details]
Patch
Comment 4 Hans Muller 2012-03-28 15:46:15 PDT
Removed a tab character.
Comment 5 Ryosuke Niwa 2012-03-29 14:21:40 PDT
Comment on attachment 134429 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=134429&action=review

> Source/WebCore/ChangeLog:11
> +        Changed the CSS exclusion shape called "rect" to "rectangle" to match
> +        the current draft spec - http://dev.w3.org/csswg/css3-exclusions.
> +
> +        No new tests were created; just updated the existing ones.

It would be helpful if you could refer to mailing list or whatever page where this change was discussed.
Comment 6 Hans Muller 2012-03-29 15:38:59 PDT
(In reply to comment #5)
> ...
> It would be helpful if you could refer to mailing list or whatever page where this change was discussed.

Don't know if this point was discussed on a public forum, looking into that now...
Comment 7 Hans Muller 2012-03-30 15:36:46 PDT
(In reply to comment #5)
> (From update of attachment 134429 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=134429&action=review
> 
> > Source/WebCore/ChangeLog:11
> > +        Changed the CSS exclusion shape called "rect" to "rectangle" to match
> > +        the current draft spec - http://dev.w3.org/csswg/css3-exclusions.
> > +
> > +        No new tests were created; just updated the existing ones.
> 
> It would be helpful if you could refer to mailing list or whatever page where this change was discussed.

Vincent Hardy provided the following references for this change.  Assuming that they're sufficient, please add this change to to the commit queue.  

[vh] See http://wiki.csswg.org/spec/css3-exclusions#paris-f2f-february-2012.

This is where the proposed changes were discussed:

http://wiki.csswg.org/ideas/functional-notation

The meeting minutes are at:
http://lists.w3.org/Archives/Public/www-style/2012Feb/0325.html

and the resolution is:
"Resolved: Adopt the proposed changes to Exclusions therein except for the suggestion to unify rect() and rectangle()."

So this shows the group discussed rect v.s., rectangle and decided to go with rectangle() for exclusions.
Comment 8 Ryosuke Niwa 2012-04-03 02:04:12 PDT
(In reply to comment #7)
> Vincent Hardy provided the following references for this change.  Assuming that they're sufficient, please add this change to to the commit queue.  
> 
> [vh] See http://wiki.csswg.org/spec/css3-exclusions#paris-f2f-february-2012.
> 
> This is where the proposed changes were discussed:
> 
> http://wiki.csswg.org/ideas/functional-notation
> 
> The meeting minutes are at:
> http://lists.w3.org/Archives/Public/www-style/2012Feb/0325.html
> 
> and the resolution is:
> "Resolved: Adopt the proposed changes to Exclusions therein except for the suggestion to unify rect() and rectangle()."
> 
> So this shows the group discussed rect v.s., rectangle and decided to go with rectangle() for exclusions.

Please include some of that info in the change log.
Comment 9 Hans Muller 2012-04-03 17:22:54 PDT
Created attachment 135464 [details]
Patch
Comment 10 WebKit Review Bot 2012-04-05 09:42:08 PDT
Comment on attachment 135464 [details]
Patch

Clearing flags on attachment: 135464

Committed r113328: <http://trac.webkit.org/changeset/113328>
Comment 11 WebKit Review Bot 2012-04-05 09:42:13 PDT
All reviewed patches have been landed.  Closing bug.